<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class DemyoConfigurationComponent extends Object {
	public function saveToFile($config = false) {
		if ($config === false)
			$config = Configure::read('Demyo');
		
		$content = "<?php\n\n";
		foreach ($config as $key => $value) {
			$content .= "\$config['Demyo.$key'] = ".var_export($value, true).";\n";
		}
		$content .= "\n?>\n";
		
		clearCache(); // Bug #192
		
		return file_put_contents(CONFIGS.'demyo.php', $content);
	}
}
?>