<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Appendix: Protecting Demyo with a password</h2>

<p>It is possible to protect Demyo with a password, to prevent people from
accessing it. It can be useful in a few cases, for example if you host Demyo
on a Internet-accessible Web server or if someone else uses uses your
computer and cannot be trusted.</p>

<p>Note that this procedure only makes sense if the system itself is protected:
on Windows, any user with admin rights will be able to delete your collection; 
on Windows and Linux, the default password for MySQL is really weak.</p>

<p>Since the use case is nontrivial, we will assume that you have a clue on
how to find and edit the mentionned files.</p>

<p>First, edit the <tt>.htaccess</tt> in the <tt>demyo</tt> directory, and
add the following lines:</p>
<pre>
AuthUserFile $PATH
AuthName "Demyo (private)"
AuthType Basic
require user $USER
</pre>
<p>Where $PATH is the full path to the <tt>.htaccess</tt> file, replacing
<tt>.htaccess</tt> with <tt>.htpasswd</tt> and $USER is an arbitry user name
(or login). It doesn't have to be the login of your computer (for security
reasons, it even shouldn't be).</p>

<p>Now, visit <a href="http://www.htaccesstools.com/htpasswd-generator/">http://www.htaccesstools.com/htpasswd-generator/</a>
and use the tool to generate an .htpasswd string. Copy that result into
a file named <tt>.htpasswd</tt>, and put it in the same directory as the
<tt>.htaccess</tt> file you edited in the previous step.</p>

<p>Your collection is now protected with a password. Your browser will ask you
for your credentials when you start Demyo.</p>