<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Appendix: Unintended uses of Demyo</h2>

<p>Demyo was intended for local use on a Desktop computer. However, nothing
prevents you of messing a bit with it.</p>

<h3>Installing on a remote host (full)</h3>

<p>If you have access to a remote host, you can install Demyo on that host. You
will need an FTP access to copy files as well as an access to a database manager
on your host (e.g. PHPMyAdmin) to run the SQL installation queries.</p>

<p>Keep in mind that transfering the files from the network takes time, and that
it will probably degrade the performance of Demyo (just how much depends
on your connection and on the remote host).</p>

<p>You should also make sure that the directory where Demyo is installed is
password-protected, else anybody will be able to come and edit your database,
and even delete it. Refer to your host's documentation for more details.</p>

<h3>Installing on a remote host (partial)</h3>

<p>Some hosts allow direct SQL connections to their servers. By using this, you
may install Demyo on your local computer, but use a remote database.</p>

<p>To do this, you will need to edit the <tt>demyo/app/config/database.php</tt>
file to give Demyo the information about the remote Database. You will
also need an access to a database manager on your host (e.g. PHPMyAdmin) to
run the SQL installation queries.</p>

<p>Keep in mind that transfering the files from the network takes time, and that
it will probably degrade the performance of the software (just how much depends
on your connection and on the remote host.</p>
