<?php
/* Copyright 2007-2011 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Wiki syntax</h2>

<p>When you add or edit an entry in Demyo, you may find two types of text fields:
single or multiple lines input.</p>

<p>The fields allowing multiple lines of will usually allow advanced formatting
using a simple editor. Its usage is largely similar to other editors you might be used to.</p>

<p>The editor also offer some convenient features. When you edit a description, you may want to
include a link to a website or to another item in Demyo. While you could copy-paste the link from
your browser, it will be easier (and more compatible with later releases of Demyo) to use one of
the following special addresses, which will get automatically converted to local links to
your collection:</p>

<ul>
	<li><tt>Album:42</tt> makes a link to the album with ID 42</li>
	<li><tt>Author:42</tt> makes a link to the author with ID 42</li>
	<li><tt>Binding:42</tt> makes a link to the binding with ID 42</li>
	<li><tt>Collection:42</tt> makes a link to the collection with ID 42</li>
	<li><tt>Derivative:42</tt> makes a link to the derivative with ID 42</li>
	<li><tt>DerivativeType:42</tt> makes a link to the derivative type with ID 42</li>
	<li><tt>Publisher:42</tt> makes a link to the publisher with ID 42</li>
	<li><tt>Series:42</tt> makes a link to the series with ID 42</li>
	<li><tt>Source:42</tt> makes a link to the source with ID 42</li>
</ul>

<p>The ID of the entries can be found in the address bar of your browser. For
example, if your are viewing the series with ID 42, the address will be something
like http://localhost/demyo/series/view/<strong>42</strong></p>