<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Tags</h2>

<p>Tags are a key feature in many recent softwares. They are designed to
describe the content of a subject. In our case, that subject is an album.</p>

<p>Tags are generally used as a way of categorizing items. However, unlike what
is commonly done with categories, items can be tagged with as many tags as you
want: an album can have traits of both science-fiction and fantasy, for example.
You can also use tags in a variety of other ways, like creating a <em>gift</em>
tag for albums that someone offered to you.</p>

<p>To make the tags easily recognizable, they can have a foreground and
a background color. Both are optional and can be specified independently.</p>

<p class="tip"><strong>Example:</strong> create a <em>manga</em> tag and set
red as the foreground color and white as the background.</p>

<h3 id="add">Add a tag to an album</h3>

<p>To add a tag to an album, write it into the tag field of the album
edit page. If that tag doesn't exist yet, it will be created
automatically.</p>

<p class="see-also"><strong>See also:</strong> <?php echo $helpBrowser->directLink('manage-albums')?></p>

<h3 id="rename">Edit a tag</h3>

<p>Tags can be edited by going to the tag view page, and selecting <em>Edit
this tag</em> from the menu. When you edit a tag, you can rename it and set
colors for it. When changing a tag name, all albums tagged with
that tag will refer to the new tag name.</p>

<p>Changing the tag colors can be done with the color wheels or entering a color
manually (in haxadecimal format, with a leading #).
You can revert to the default behavior (no colors) by deleting the color strings
in the input fields.</p>