<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Your first derivative</h2>

<p>This section will guide you in the creation of a derivative. We'll assume
you bought an original sketch from Riccardo Burchielli for the first DMZ (which
was added in the <?php echo $helpBrowser->directLink('your-first-derivative')?>
 tutorial).</p>

<h3>Derivative type</h3>

<p>On the home page, click on <em>Add a derivative type</em>. Enter the
<em>Name</em> (Sketch) and <em>Add</em> the entry.</p>

<h3>Image</h3>

<p>Let's say you have a digital version of the sketch (you took a picture of it,
scanned it or found it on the Internet). Let's further assume that it is
name <tt>DMZ_Burchielli_sketch.jpg</tt></p>

<p>Use your file manager and got to <tt><?php echo COLLECTION_IMAGES?></tt>.
Create a folder named <tt>Sketches</tt> and copy
<tt>DMZ_Burchielli_sketch.jpg</tt> there. Creating a folder and giving a
sensible name to the file isn't required, but is definitely helps when your
collection grows.</p>

<p>Back in Demyo, click on <em>Add an image</em> on the home page. Click on
the small icon next to the <em>Path</em> field, and find your image in the
popup wind that has just opened. Simply click the file name to select your
image. In the <em>Description</em> field, enter <em>DMS - Original sketch by
Riccardo Burchielli</em>. <em>Add</em> the image.</p>

<h3>Derivative</h3>

<p>On the home page, enter <em>on the g</em> in the quick search field. The
only result will probably be <em>On The Ground</em> (the title of the first DMZ
album). Even if there is more than one result, use the arrow keys to select the
desired album and press <em>Enter</em>. You are now on that album's details
page.</p>

<p>Hover the mouse over the <em>Tasks</em> menu and click on <em>Add a
derivative to this album</em>. Fill in the various fields (mainly the
<em>Type</em> field, using the one you've just added). Some of the fields already
have a value which was guessed from the album, but you can change them if you
like.</p>

<p>Click on <em>Add</em>, and that's it: your first derivative was created.
Note that, if you specified a <em>Source</em> for the derivative, Demyo has
automatically created a new source. Sources can be browsed from the home page and
will be auto-completed when you want to add another derivative (so that you
don't have to remember how you spelled them exactly).</p>
