<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Tags</h2>

<p>Les tags sont une des fonctionnalités clés des logiciels récents. Ils sont
conçus pour décrire du contenu. Dans ce cas, le contenu est un album.</p>

<p>Les tags sont d'habitude utilisés pour catégoriser des éléments. Cependant,
contrairement à ce qui est possible avec des catégories, les éléments peuvent
être <em>taggés</em> avec autant de tags que vous le souhaitez: un album
peut être apparenté à de la science-fiction et à du fantastique en même temps,
par exemple. Il est aussi possible d'utiliser les tags de nombreuses autres
manières, comme en créant un tag <em>cadeau</em> pour les albums qui vous ont
été offerts.</p>

<p>Pour les rendre distingables d'un coup d'&oelig;il, il est possible
d'assigner des couleurs de premier- et arrière-plan à un tag. Elles sont
totalement optionnelles et il est possible d'en spécifier une et pas l'autre.</p>

<h3>Ajouter un tag à un album</h3>

<p>Pour ajouter un tag à un album, mentionnez le dans le champ des tags de cet
album lors de l'édition. Si le tag n'existe pas, il sera créé automatiquement.</p>

<p class="see-also"><strong>Voir aussi:</strong> <?php echo $helpBrowser->directLink('manage-albums')?></p>

<h3>Éditer un tag</h3>

<p>Les tags peuvent être édités en se rendant sur la page de vue du tag, et
en sélectionnant <em>Éditer ce tag</em> dans le menu. L'édition permet de
renommer un tag, et de modifier ses couleurs. Lors d'un renommage, tous les
albums taggés de la sorte feront désormais référence au nouveau nom.</p>

<p>Les couleurs peuvent être modifiées grâce aux roues ou en tapant directement
la valeur de la couleur (en hexadécimal, en incluant le #). Pour revenir au
comportement par défaut (pas de couleurs particulières), effacez simplement
les valeurs dans les champs.</p>