<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Annexe&nbsp;: Protection de Demyo par un mot de passe</h2>

<p>Il est possible de protéger l'accès à Demyo avec un mot de passe, afin
d'empêcher d'autres personnes d'y accéder. Cela peut être utile si vous utilisez
Demyo sur un serveur accessible depuis Internet ou si une personne à qui vous
ne pouvez pas faire confiance utilise votre ordinateur.</p>

<p>Notez que cette mesure n'a de sens que si le système lui-même est protégé&nbsp;:
sous Windows, n'importe quel utilisateur avec les droits d'administration
pourra effacer votre collection&nsbp;; sous Windows et Linux, le mot de passe
par défaut pour MySQL est de qualité médiocre.</p>

<p>Étant donné que le cas d'utilisation n'est pas commun, la suite suppose
que vous savez comment trouver et éditer les fichiers mentionnés.</p>

<p>Pour commencer, éditer le fichier <tt>.htaccess</tt> dans le répertoire
<tt>demyo</tt>, et ajoutez les lignes suivantes&nbsp;:</p>
<pre>
AuthUserFile $CHEMIN
AuthName "Demyo (restreint)"
AuthType Basic
require user $UTILISATEUR
</pre>
<p>Où $CHEMIN est le chemin complet vers le fichier <tt>.htaccess</tt>, en
remplaçant <tt>.htaccess</tt> par <tt>.htpasswd</tt>, et $UTILISATEUR est
un nom d'utilisateur arbitraire. Ce n'est pas nécessairement le même nom
d'utilisateur que celui que vous utilisez sur votre ordinateur (pour des
raisons de sécurité, il serait même préférable que ce ne soit pas le même).</p>

<p>Allez maintenant au <a href="http://www.htaccesstools.com/htpasswd-generator/">http://www.htaccesstools.com/htpasswd-generator/</a>
et utilisez l'outil pour générer une chaîne .htpasswd. Copiez le résultat dans
un fichier nommé <tt>.htpasswd</tt> que vous placerez dans le même répertoire
que le fichier <tt>.htaccess</tt> édité précédemment.</p>

<p>Votre collection est désormais protégée par un mot de passe. Votre
navigateur vous demandera vos informations de connexion quand vous démarrerez
Demyo.</p>
