<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Utilisations particulières</h2>

<p>Demyo est prévu pour tourner sur un ordinateur de bureau. Rien ne vous empêche
cependant de bricoler un peu, par exemple pour avoir accès à vos données où que
vous soyez.</p>

<h3>Installation complète sur un serveur distant</h3>

<p>Si vous avez accès à un serveur, vous pouvez installer Demyo dessus. Vous aurez
besoin d'un accès FTP pour copier les fichiers, et d'un gestionnaire de base de
données (par exemple PHPMyAdmin) pour exécuter les commandes d'installation en SQL.</p>

<p>Gardez à l'esprit que le transfert de fichiers par le réseau prend du temps,
et que ça dégradera les performances de Demyo (selon votre bande passante et
celle de votre serveur).</p>

<p>Vous devriez aussi vous assurer que le répertoire où Demyo est installé est
protégé par un mot de passe, sinon n'importe qui pourrait venir editer ou
effacer les information. Consultez la documentation de votre hébergeur pour
plus de détails.</p>

<h3>Installation partielle sur un serveur distant</h3>

<p>Certains hébergeurs permettent des connexions SQL directes à leurs serveurs.
Vous pouvez vous en servir pour lancer Demyo sur votre ordinateur, mais en
utilisant leur base de données.</p>

<p>Pour ce faire, vous devez éditer le fichier <tt>demyo/app/config/database.php</tt>
pour donner à Demyo les informations de connexion à la base. Vous aurez aussi
besoin d'un accès à un gestionnaire de base de données (par exemple PHPMyAdmin)
chez votre hébergeur pour exécuter les commandes d'installation en SQL.</p>

<p>Gardez à l'esprit que le transfert de fichiers par le réseau prend du temps,
et que ça dégradera les performances de Demyo (selon votre bande passante et
celle de votre serveur).</p>
