/*
	#211 - Rich text editing
 */
UPDATE __PREFIX__albums SET comment = NULL WHERE comment = '';
UPDATE __PREFIX__albums SET comment = CONCAT('<p>', comment, '</p>') WHERE comment IS NOT NULL;
UPDATE __PREFIX__albums SET comment = REPLACE(comment, '\\\\', '<br />') WHERE comment IS NOT NULL;
UPDATE __PREFIX__albums SET comment = REPLACE(comment, '\r\n\r\n', '</p><p>') WHERE comment IS NOT NULL;
UPDATE __PREFIX__albums SET comment = REPLACE(comment, '\n\n', '</p><p>') WHERE comment IS NOT NULL;
/* */
UPDATE __PREFIX__albums SET summary = NULL WHERE summary = '';
UPDATE __PREFIX__albums SET summary = CONCAT('<p>', summary, '</p>') WHERE summary IS NOT NULL;
UPDATE __PREFIX__albums SET summary = REPLACE(summary, '\\\\', '<br />') WHERE summary IS NOT NULL;
UPDATE __PREFIX__albums SET summary = REPLACE(summary, '\r\n\r\n', '</p><p>') WHERE summary IS NOT NULL;
UPDATE __PREFIX__albums SET summary = REPLACE(summary, '\n\n', '</p><p>') WHERE summary IS NOT NULL;
/* */
UPDATE __PREFIX__authors SET biography = NULL WHERE biography = '';
UPDATE __PREFIX__authors SET biography = CONCAT('<p>', biography, '</p>') WHERE biography IS NOT NULL;
UPDATE __PREFIX__authors SET biography = REPLACE(biography, '\\\\', '<br />') WHERE biography IS NOT NULL;
UPDATE __PREFIX__authors SET biography = REPLACE(biography, '\r\n\r\n', '</p><p>') WHERE biography IS NOT NULL;
UPDATE __PREFIX__authors SET biography = REPLACE(biography, '\n\n', '</p><p>') WHERE biography IS NOT NULL;
/* */
UPDATE __PREFIX__collections SET history = NULL WHERE history = '';
UPDATE __PREFIX__collections SET history = CONCAT('<p>', history, '</p>') WHERE history IS NOT NULL;
UPDATE __PREFIX__collections SET history = REPLACE(history, '\\\\', '<br />') WHERE history IS NOT NULL;
UPDATE __PREFIX__collections SET history = REPLACE(history, '\r\n\r\n', '</p><p>') WHERE history IS NOT NULL;
UPDATE __PREFIX__collections SET history = REPLACE(history, '\n\n', '</p><p>') WHERE history IS NOT NULL;
/* */
UPDATE __PREFIX__derivatives SET description = NULL WHERE description = '';
UPDATE __PREFIX__derivatives SET description = CONCAT('<p>', description, '</p>') WHERE description IS NOT NULL;
UPDATE __PREFIX__derivatives SET description = REPLACE(description, '\\\\', '<br />') WHERE description IS NOT NULL;
UPDATE __PREFIX__derivatives SET description = REPLACE(description, '\r\n\r\n', '</p><p>') WHERE description IS NOT NULL;
UPDATE __PREFIX__derivatives SET description = REPLACE(description, '\n\n', '</p><p>') WHERE description IS NOT NULL;
/* */
UPDATE __PREFIX__publishers SET history = NULL WHERE history = '';
UPDATE __PREFIX__publishers SET history = CONCAT('<p>', history, '</p>') WHERE history IS NOT NULL;
UPDATE __PREFIX__publishers SET history = REPLACE(history, '\\\\', '<br />') WHERE history IS NOT NULL;
UPDATE __PREFIX__publishers SET history = REPLACE(history, '\r\n\r\n', '</p><p>') WHERE history IS NOT NULL;
UPDATE __PREFIX__publishers SET history = REPLACE(history, '\n\n', '</p><p>') WHERE history IS NOT NULL;
/* */
UPDATE __PREFIX__series SET comment = NULL WHERE comment = '';
UPDATE __PREFIX__series SET comment = CONCAT('<p>', comment, '</p>') WHERE comment IS NOT NULL;
UPDATE __PREFIX__albums SET comment = REPLACE(comment, '\\\\', '<br />') WHERE comment IS NOT NULL;
UPDATE __PREFIX__albums SET comment = REPLACE(comment, '\r\n\r\n', '</p><p>') WHERE comment IS NOT NULL;
UPDATE __PREFIX__albums SET comment = REPLACE(comment, '\n\n', '</p><p>') WHERE comment IS NOT NULL;
/* */
UPDATE __PREFIX__series SET summary = NULL WHERE summary = '';
UPDATE __PREFIX__series SET summary = CONCAT('<p>', summary, '</p>') WHERE summary IS NOT NULL;
UPDATE __PREFIX__series SET summary = REPLACE(summary, '\\\\', '<br />') WHERE summary IS NOT NULL;
UPDATE __PREFIX__series SET summary = REPLACE(summary, '\r\n\r\n', '</p><p>') WHERE summary IS NOT NULL;
UPDATE __PREFIX__series SET summary = REPLACE(summary, '\n\n', '</p><p>') WHERE summary IS NOT NULL;
/* */
UPDATE __PREFIX__sources SET address = NULL WHERE address = '';
UPDATE __PREFIX__sources SET address = CONCAT('<p>', address, '</p>') WHERE address IS NOT NULL;
UPDATE __PREFIX__sources SET address = REPLACE(address, '\\\\', '<br />') WHERE address IS NOT NULL;
UPDATE __PREFIX__sources SET address = REPLACE(address, '\r\n\r\n', '</p><p>') WHERE address IS NOT NULL;
UPDATE __PREFIX__sources SET address = REPLACE(address, '\n\n', '</p><p>') WHERE address IS NOT NULL;
/* */
UPDATE __PREFIX__sources SET history = NULL WHERE history = '';
UPDATE __PREFIX__sources SET history = CONCAT('<p>', history, '</p>') WHERE history IS NOT NULL;
UPDATE __PREFIX__sources SET history = REPLACE(history, '\\\\', '<br />') WHERE history IS NOT NULL;
UPDATE __PREFIX__sources SET history = REPLACE(history, '\r\n\r\n', '</p><p>') WHERE history IS NOT NULL;
UPDATE __PREFIX__sources SET history = REPLACE(history, '\n\n', '</p><p>') WHERE history IS NOT NULL;
/*
	#256 - Remove explicit reference to collection_images from database
 */
UPDATE __PREFIX__images SET url =  REPLACE(url, 'collection_images/', '') WHERE url LIKE 'collection_images/%';
/*
	#25 - Advanced search
 */
CREATE TABLE __PREFIX__searches (
	id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
	model VARCHAR(255) NOT NULL,
	status VARCHAR(63) NOT NULL,
	name VARCHAR(255) NULL,
	criteria VARCHAR(4095) NOT NULL,
	parameters VARCHAR(4095) NULL,
	last_used DATETIME NOT NULL,
	UNIQUE(model, status, name),
	INDEX(model)
) engine=InnoDB CHARACTER SET utf8;