<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$currentTitle = $this->getVar('title_for_layout');
if (empty($currentTitle))
	$this->set('title_for_layout', __('Albums', true));

$quicksearch->setSearchCategories(array('Series', 'Album', 'Tag'));

$menu->preparePopupMenu(array(
	array('add' => 'Album'),
	array('add' => 'Series')
));

$myPaginator->options(array('url' => $this->params['pass']));

if (empty($albums)) {
	echo '<div class="info">'.__('No albums to show.', true).'</div>';
	return;
} 
?>

<?php
$letters = $myPaginator->letters();
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?php echo $letters ?>
</div>
	<?php
}
?>

<?php
$lastSeriesID = '';
$first = true;
eval($myPaginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));
$num = 0;
?>

<div class="text_list_column album_list_column">
<?php
foreach($albums as $album) {
	if ($num != 0 && $num%$perColumn == 0 && $num<$max-1) {
		echo "\t</ul>\n</div>\n<div class=\"text_list_column album_list_column\">\n";
		if ($lastSeriesID == $album['Album']['series_id']) // Only if we continue previous columb
			echo "\t<ul>\n";
	}
	
	if ($lastSeriesID !== $album['Album']['series_id']) {
		if ($num%$perColumn != 0) // On first element in column
			echo "\t</ul>\n";

		$lastSeriesID = $album['Album']['series_id'];
		$url = $html->url("/series/view/$lastSeriesID");
		echo "\t<h2><a href=\"{$url}\">{$album['Series']['name']}</a></h2>\n\t<ul>\n";
	}
	
	$css = '';
	if (!empty($album['Album']['wishlist']))
		$css = ' class="wishlist"';
	
	echo "\t\t<li$css>"
		.$html->link($text->shortenWithFullWords($album['Album']['title'], 35), '/albums/view/'.$album['Album']['id'])
		. "</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>
