<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Author'));

echo $helpBrowser->pageLink('manage-authors');
?>

<?php echo $form->create('Author', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php echo ($isEdit?__('Edit an author', true):__('Add an author', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Author.id');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Author.name', __('Name', true)).'</th><td>'.$form->input('Author.name', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.fname', __('First name', true)).'</th><td>'.$form->text('Author.fname')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.nickname', __('Nickname', true)).'</th><td>'.$form->text('Author.nickname')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.website', __('Website', true)).'</th><td>'.$form->input('Author.website', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.biography', __('Biography', true)).'</th><td>'.$rte->textarea('Author.biography')."</td></tr>\n";
echo '<tr><th>'.$form->label('Author.portrait_id', __('Portrait', true)).'</th><td>'.$form->select('Author.portrait_id', $imagesList, null, array('empty' => __('[ none ]', true)))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>