<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __('Bindings', true));

$menu->preparePopupMenu(array(array('add' => 'Binding')));

$myPaginator->options(array('url' => $this->params['pass']));

if (empty($bindings)) {
	echo '<div class="info">'.__('No bindings to show', true).'</div>';
	return;
}
?>

<?php
$letters = $myPaginator->letters();
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?php echo $letters ?>
</div>
	<?php
}
?>

<div class="text_list_column">
<ul>
<?php
$num = 0;
foreach ($bindings as $binding) {
	if ($num !== 0 && $num%$perColumn === 0)
		echo "</ul></div>\n<div class=\"text_list_column\"><ul>\n";
	
	echo "\t<li>",$html->link($binding['Binding']['name'], '/bindings/view/'.$binding['Binding']['id']),"</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>
