<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', $type['name'].' - '.__('Derivative types', true));

$menu->preparePopupMenu(array(
	array('edit' => 'DerivativeType', 'id' => $type['id']),
	array('delete' => 'DerivativeType', 'id' => $type['id']),
	array('add' => 'DerivativeType')
));
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $type['name']?></td></tr>
	
	<?php if (!empty($type['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?php echo $html->link(__s('View %d derivatives of this type', $type['derivative_count']), '/derivatives/index/fromType:'.$type['id'])?></td></tr>
	<?php endif; ?>
</table>
