<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

function expandTopic($helpIndex, $topic, $helpBrowser) {
	if (empty($helpIndex['ids'][$topic]['heirs']))
		return;
	
	echo '<ul>';
	foreach ($helpIndex['ids'][$topic]['heirs'] as $heir) {
		echo '<li>'.$helpBrowser->directLink($heir);
		expandTopic($helpIndex, $heir, $helpBrowser);
		echo '</li>';
	}
	echo "</ul>\n";
}

echo '<ul class="help-toc">';
foreach ($helpIndex['top-level'] as $top) {
	echo '<li>'.$helpBrowser->directLink($top);
	expandTopic($helpIndex, $top, $helpBrowser);
	echo "</li>\n";
}
echo '</ul>';
?>