<?php
/* Copyright 2007-2011 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
require(dirname(__FILE__).'/_common_add.ctp');
?>

<?php echo $form->create('Image', array('class' => 'addedit', 'type' => 'file')) ?>
<fieldset>
<legend><?php echo $this->getVar('title_for_layout') ?></legend>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo
	'<tr><th>'.$form->label('file', __('File', true)).'</th><td>'.$form->file('file', array('label' => false, 'div' => false))
	.'<tr><th>'.$form->label('folder', __('Folder', true)).'</th><td>'.$form->input('folder', array('label' => false, 'div' => false))
	.'<img src="'.$html->url('/img/mime-image.png').'" class="input-helper" alt="'.__('Browse images', true).'" title="'.__('Browse images', true).'" />'
	.'<div id="filelist"></div></td></tr>';
echo "\n<tr><th>".$form->label('Image.description', __('Description', true)).'</th><td>'.$form->input('Image.description', array_merge(array('label' => false, 'div' => false, 'type' => 'text', 'size' => 50)))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php __('Add') ?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>

<?php $jQuery->includeLib('file_browser'); ?>
<script type="text/javascript">
jQuery(function() {
	jQuery('#filelist').hide();
	jQuery('img.input-helper').click(function() {
		jQuery('#filelist').show();
		jQuery('#filelist').fileBrowser({
			url: '<?php echo $html->url('/files/images') ?>',
			basePath: '',
			selectablePattern: jQuery.fileBrowserRegexes.none,
			selectFolders: true,
			input: '#ImageFolder',
			locale: jQuery.FileBrowserLocales.<?php echo Configure::read('Demyo.lang') ?>
		});
		jQuery('img.input-helper').unbind('click');
	});
});
</script>
