<?php
/* Copyright 2007-2012 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
require(dirname(__FILE__).'/_common_add.ctp');
?>

<form class="addedit" method="post" action="<?php echo $html->url('/images/addMultiple/from:directory/step:descriptions')?>">
<fieldset>
<legend><?php echo $this->getVar('title_for_layout') ?></legend>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />

<table class="details">
<tr>
<th><?php __('Images') ?></th>
<td>
	<?php $i = 0;
	foreach ($missing as $url) { ?>
		<input type="checkbox" id="url<?php echo $i?>" name="data[Image][<?php echo $url?>]" /><label for="url<?php echo $i?>"><?php echo $url?></label><br /> 
	<?php $i++;
	} ?>
</td></tr>
</table>

<div class="buttons">
	<input type="submit" value="<?php __('Add selected images') ?>" />
	<input type="reset" value="<?php __('Reset')?>" />
</div>

</fieldset>
</form>