<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

if ($message !== true)
	echo "<div class=\"error\">$message</div>";

$this->set('title_for_layout',__('Installer - Database', true));
?>

<div class="info">
	<?php __('If you followed the recommended installation procedure, you shouldn\'t need to edit any of the fields below. Just click Save.'); ?>
</div>

<form class="addedit" method="post" action="<?php echo $html->url('/installer/install')?>">
<fieldset>
<legend><?php __('Enter database configuration')?></legend>

<table class="details">
	<tr><th><?php __('Database type') ?></th><td>MySQL</td></tr>
	<tr><th><?php __('Host') ?></th><td><input type="text" name="data[host]" value="<?php echo $host?>" /></td></tr>
	<tr><th><?php __('User') ?></th><td><input type="text" name="data[user]" value="<?php echo $user?>" /></td></tr>
	<tr><th><?php __('Password') ?></th><td><input type="text" name="data[password]" value="<?php echo $password?>" /></td></tr>
	<tr><th><?php __('Database name') ?></th><td><input type="text" name="data[database]" value="<?php echo $database?>" /></td></tr>
	<tr><th><?php __('Prefix for tables') ?></th><td><input type="text" name="data[prefix]" value="<?php echo $prefix?>" /></td></tr>
</table>
<div class="buttons"><input type="submit" value="<?php __('Save') ?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
