<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __('About', true));
?>

<h2><?php __('About') ?></h2>

<p><?php echo sprintf(__('Demyo "%s" (%s) running on CakePHP %s.', true), Configure::read('Demyo.versionCodename'), Configure::read('Demyo.versionAsString'), Configure::version())?></p>

<p><a href="<?php echo Configure::read('Demyo.websiteRoot').Configure::read('Demyo-l10n.websiteLang');?>/">Demyo</a> is &copy; 2007-2010 Xavier 'Xr' Dalem, licensed under the <a href="http://www.gnu.org/licenses/gpl-3.0.html">GNU General Public License v3</a>.</p>
<p>It depends on the following (bundled) software:</p>
<ul>
	<li><a href="http://cakephp.org/">CakePHP</a>, &copy; 2005-2008 Cake Software Foundation, Inc., licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://www.mcurry.net/">CakePHP Asset</a>, &copy; 2009 Matt Curry, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://www.colorpowered.com/">ColorBox</a>, &copy; 2009 Jack Moore, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://csstidy.sourceforge.net/">CSSTidy</a>, &copy; 2005-2006 Florian Schmitz, licensed under <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public License</a></li>
	<li><a href="http://jquery.com/">jQuery</a>, &copy; 2008 John Resig, dual licensed under <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License v2</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://bassistance.de/jquery-plugins/jquery-plugin-autocomplete/">jQuery Autocomplete</a>, &copy; 2007 Dylan Verheul, Dan G. Switzer, Anjesh Tuladhar, Joern Zaefferer, dual licensed under <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://plugins.jquery.com/project/color">jQuery Color Animations</a>, &copy; 2007 John Resig, dual licensed under <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License v2</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://www.eyecon.ro">jQuery DatePicker</a>, &copy; Stefan Petre, dual licensed under <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://plugins.jquery.com/project/dimensions">jQuery Dimensions</a>, &copy; 2007 Paul Bakaus and Brandon Aaron, dual licensed under <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a> and <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://code.google.com/p/js-hotkeys/">jQuery Hotkeys</a>, &copy; 2007-2008 Tzury Bar Yochay, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://code.google.com/p/jsmin-php/">JSMin (PHP port)</a>, &copy; 2008 Ryan Grove, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://teethgrinder.co.uk/open-flash-chart-2/">Open Flash Chart 2</a>, licensed under <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public License</a></li>
	<li><a href="http://www.phpexcel.net/">PHP Excel</a>, licensed under <a href="http://www.gnu.org/licenses/lgpl.html">GNU Lesser General Public License</a></li>
	<li><a href="http://code.google.com/p/swfobject/">SWFObject</a>, &copy; 2007-2008 Geoff Stearns, Michael Williams and Bobby van der Sluis, licensed under <a href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></li>
	<li><a href="http://tinymce.moxiecode.com/">TinyMCE</a>, &copy; 2003-2011 Moxiecode Systems AB, licensed under <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License v2</a></li>
</ul>

<p>Demyo also uses icons from the <a href="http://tango.freedesktop.org/">Tango Desktop Project</a>, released to the Public Domain.</p>

<?php
echo $feed->showAJAXFeed('/feeds/demyoNews', __('Show latest news from Demyo', true));
?>
