<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Publisher', 'Collection'));

$menu->preparePopupMenu(array(array('add' => 'Collection')));
?>

<?php echo $form->create('Publisher', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php echo ($isEdit?__('Edit a publisher', true):__('Add a publisher', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Publisher.id');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Publisher.name', __('Name', true)).'</th><td>'.$form->input('Publisher.name', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.website', __('Website', true)).'</th><td>'.$form->input('Publisher.website', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.feed', __('News feed (RSS)', true)).'</th><td>'.$form->input('Publisher.feed', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.history', __('History', true)).'</th><td>'.$rte->textarea('Publisher.history')."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.logo_id', __('Logo', true)).'</th><td>'.$form->select('Publisher.logo_id', $imagesList, null, array('empty' => __('[ none ]', true)))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>