<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

$indexes = array('Series', 'Album', 'Author', 'Publisher', 'Collection', 'Tag', 'Source');
// This could be done with a loop but wouldn't be picked up by l10n tools.
$localizedIndexes = array(__('Series', true), __('Album', true), __('Author', true), __('Publisher', true), __('Collection', true), __('Tag', true), __('Source', true));
$titles = array('name', 'title', 'meta_name', 'name', 'name', 'name', 'name');
$urls = array('/series/view/%d', '/albums/view/%d', '/authors/view/%d', '/publishers/view/%d', '/collections/view/%d', '/tags/view/%d', '/sources/view/%d');

foreach($urls as &$url) {
	$url = $html->url($url);
}

$len = sizeof($indexes);
for ($i = 0; $i < $len; $i++) {
	if (! empty($results[$indexes[$i]])) {
		foreach ($results[$indexes[$i]] as $result) {
			$url = sprintf($urls[$i], $result['id']);
			echo "{$result[$titles[$i]]}|{$localizedIndexes[$i]}|{$url}\n";
		}
	}
}
?>