<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Series', 'Album'));
?>

<?php echo $form->create('Series', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php if ($isEdit) { __('Edit a series'); } else { __('Add a series'); }?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Series.id');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Series.name', __('Name', true)).'</th><td>'.$form->input('Series.name', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.website', __('Website', true)).'</th><td>'.$form->input('Series.website', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.completed', __('This series is over', true)).'</th><td>'.$form->checkbox('Series.completed')."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.summary', __('Summary', true)).'</th><td>'.$rte->textarea('Series.summary')."</td></tr>\n";
echo '<tr><th>'.$form->label('Series.comment', __('Comment', true)).'</th><td>'.$rte->textarea('Series.comment')."</td></tr>\n";
echo '<tr><th>'.$form->label('RelatedSeries.RelatedSeries', __('Related series', true)).'</th><td>'.$form->select('RelatedSeries.RelatedSeries', $seriesList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight'), 'empty' => false))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>