<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Tag'));

echo $helpBrowser->pageLink('manage-tags');
?>

<?php echo $form->create('Tag', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php echo ($isEdit?__('Edit a tag', true):__('Add a tag', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Tag.id');
$jQuery->includeLib('colorpicker');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Tag.name', __('Name', true)).'</th><td>'.$form->input('Tag.name', array('label' => false, 'div' => false))."</td></tr>\n";
?><tr><th><?php __('Sample result') ?></th><td><strong><span id="sample" class="tag"></span></strong></td></tr><?php
echo '<tr><th>'.$form->label('Tag.fgcolor', __('Foreground color', true)).'</th><td>'.$form->input('Tag.fgcolor', array('label' => false, 'div' => false))."<div id=\"fgColorPicker\"></div></td></tr>\n";
echo '<tr><th>'.$form->label('Tag.bgcolor', __('Background color', true)).'</th><td>'.$form->input('Tag.bgcolor', array('label' => false, 'div' => false))."<div id=\"bgColorPicker\"></div></td></tr>\n";
?>
</table>
<script type="text/javascript">
function updateSample() {
	jQuery('#sample').html(jQuery('#TagName').val());
	jQuery('#sample').css('color', jQuery('#TagFgcolor').val());
	jQuery('#sample').css('background-color', jQuery('#TagBgcolor').val());
}

jQuery(function() {
	jQuery('#fgColorPicker').farbtastic('#TagFgcolor');
	jQuery('#bgColorPicker').farbtastic('#TagBgcolor');

	var defaultFgcolor = jQuery('#TagFgcolor').val();
	if (defaultFgcolor == '') // 
		defaultFgcolor = '#ffffff';
	var defaultBgcolor = jQuery('#TagBgcolor').val();
	if (defaultBgcolor == '')
		defaultBgcolor = '#ffffff';
	jQuery('form').bind('reset', function() {
		jQuery.farbtastic('#fgColorPicker').setColor(defaultFgcolor);
		jQuery.farbtastic('#bgColorPicker').setColor(defaultBgcolor);
	});

	updateSample();
	jQuery('input').change(updateSample);
	jQuery('#TagName').keypress(updateSample);
});
</script>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>
