<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<div class="dashboard-panel" id="dashboard-widget-add">
	<h1><?php __('Add content')?></h1>
	<?php echo $html->image('addcontent.png', array('class' => 'dashboard-icon', 'alt' => __('Add content', true)))?>
	<ul>
		<li><?php echo $html->link(__('Add an album', true), '/albums/add')?></li>
		<li><?php echo $html->link(__('Add a series', true), '/series/add')?></li>
		<li><?php echo $html->link(__('Add an author', true), '/authors/add')?></li>
		<li><?php echo $html->link(__('Add a publisher', true), '/publishers/add')?></li>
		<li><?php echo $html->link(__('Add a collection', true), '/collections/add')?></li>
		<li><?php echo $html->link(__('Add an image', true), '/images/add')?></li>
		<li><?php echo $html->link(__('Add a derivative', true), '/derivatives/add')?></li>
		<li><?php echo $html->link(__('Add a derivative type', true), '/derivativeTypes/add')?></li>
		<li><?php echo $html->link(__('Add a binding', true), '/bindings/add')?></li>
	</ul>
</div>