<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<div class="dashboard-panel" id="dashboard-widget-browse">
	<h1><?php __('Browse the library')?></h1>
	<?php echo $html->image('browse.png', array('class' => 'dashboard-icon', 'alt' => __('Browse the library', true)))?>
	<ul>
		<li><?php echo $html->link(__('By series', true), '/series')?></li>
		<li><?php echo $html->link(__('By album', true), '/albums')?>
			<ul><li><?php echo $html->link(__('With covers', true), '/albums/covers')?></li></ul></li>
			<ul><li><?php echo $html->link(__('Show lended albums', true), '/borrowers/index/onlyCurrent:true')?></li></ul></li>
		<li><?php echo $html->link(__('By author', true), '/authors')?></li>
		<li><?php echo $html->link(__('By publisher', true), '/publishers')?></li>
		<!-- <li><?php echo $html->link(__('By collection', true), '/collections')?></li> Same as publishers-->
		<li><?php echo $html->link(__('By tag', true), '/tags')?></li>
		<li><?php echo $html->link(__('See images', true), '/images')?></li>
		<li><?php echo $html->link(__('See derivatives', true), '/derivatives')?>
			<ul><li><?php echo $html->link(__('See derivative types', true), '/derivativeTypes')?></li>
			<li><?php echo $html->link(__('See derivative sources', true), '/sources')?></li>
			<li><?php echo $html->link(__('See derivative label list', true), '/derivatives/labels')?></li></ul></li>
		<li><?php echo $html->link(__('See bindings', true), '/bindings')?></li>
	</ul>
</div>