<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<div class="dashboard-panel" id="dashboard-widget-tags">
	<?php
		$jQuery->includeLib('base');
	?>
	<script type="text/javascript">
	//<![CDATA[
		var limit=<?php echo Configure::read('Demyo.Widget_tagsCount')?>;
		function loadCloud() {
			jQuery.get('<?php echo $html->url('/tags/cloud/limit:')?>'+limit, function(data) {
				jQuery('div#tag_cloud').html('<p>'+data+'<\/p>');
			});
			limit+=5;
		}
		jQuery(document).ready(function() {
			loadCloud();
		});
	//]]>
	</script>
	<h1><?php __('Tag cloud') ?><?php echo $html->image('plus.png', array('class' => 'expander', 'title' => __('See more tags', true), 'alt' => '+', 'onclick' => 'loadCloud()'))?></h1>
	<?php echo $html->image('tags.png', array('class' => 'dashboard-icon', 'alt' => __('Tags', true)))?>
	<div id="tag_cloud"><div class="loading"><?php echo __('Loading')?></div></div>
</div>