<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

/* Language-specific configuration */

setlocale(LC_ALL,
	'en_US.UTF8', 'en_UK.UTF8', 'en_AU.UTF8',
	'en_US.UTF-8', 'en_UK.UTF-8', 'en_AU.UTF-8',
	'en_US', 'en_UK', 'en_AU',
	'english-american', 'english-uk', 'english-aus',
	'english', 'en',
	'C'
	);

// Language of the official website
Configure::write('Demyo-l10n.websiteLang', 'en');

// Default directories to create at install-time for images
Configure::write('Demyo-l10n.imageDirectories', array(
	'Sketchbooks', 'Boxes', 'Covers', 'Ex-Libris', 'Objects', 'Portraits'
));

// Locale for TinyMCE
Configure::write('Demyo-l10n.tinyMceLocale', 'en');

// Rich Text content substitutions
Configure::write('Demyo-l10n.richTextContentSubstitutions', array(
	// see http://www.regular-expressions.info/lookaround.html
	// (?<=\d) is 'preceded by a digit' 
	// (?!\w) is 'not followed by a word character'
	'/(?<=\d)(st|nd|rd|th)(?!\w)/' => '<sup>\1</sup>'
));
?>