<?php
/* Copyright 2007-2010 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h1 id="update">Updating</h1>

<p>Like for installation, an automated update procedure is available. This
procedure only updates Demyo: the requirements that were installed
automatically aren't updated (and, usually, don't need to).</p>
<p>Though the update procedure is supposed to preserve your collection, it is
highly recommended to export a backup copy before proceeding. For more details,
refer to <?php echo $helpBrowser->directLink('export')?>.</p>

<h2 id="windows">Updating a Windows installation</h2>

<p>Close all Demyo windows.</p>
<p>Run the installer like you did when you first installed the software. If
Demyo was properly installed, the installer automatically detects the
installation directory and trigger an update instead of a full installation.</p>
<p>Start Demyo. Before redirecting you to the home page, a message informs
you that the software has been updated.</p>

<h2 id="linux">Updating a Linux installation</h2>

<p>Close all Demyo windows.</p>
<p>Extract the Demyo archive (.zip or .tar.gz) in a temporary directory of your
choice. Enter that directory and run run <tt>sh update-linux.sh</tt> as root
or <tt>sudo sh update-linux.sh</tt>.</p>
<p>Start Demyo. Before redirecting you to the home page, a message informs
you that the software has been updated.</p>