<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

/* Language-specific configuration */

setlocale(LC_ALL,
	'fr_FR.UTF8', 'fr_BE.UTF8', 'fr_CA.UTF8', 'fr_CH.UTF8', 'fr_LU.UTF8', 'fr_MC.UTF8',
	'fr_FR.UTF-8', 'fr_BE.UTF-8', 'fr_CA.UTF-8', 'fr_CH.UTF-8', 'fr_LU.UTF-8', 'fr_MC.UTF-8',
	'fr_FR', 'fr_BE', 'fr_CA', 'fr_CH', 'fr_LU', 'fr_MC',
	'french-belgian', 'french-canadian', 'french-swiss',
	'french'
	);

// Language of the official website
Configure::write('Demyo-l10n.websiteLang', 'fr');

// Default directories to create at install-time for images
Configure::write('Demyo-l10n.imageDirectories', array(
	'Carnets_de_croquis', 'Cofferts', 'Couvertures', 'Ex-Libris', 'Objets', 'Portraits'
));

// Locale for TinyMCE
Configure::write('Demyo-l10n.tinyMceLocale', 'fr');

// Rich Text content substitutions
Configure::write('Demyo-l10n.richTextContentSubstitutions', array(
	'/(?<=\d)(er|ère|nd|nde|ème)(?!\w)/' => '<sup>\1</sup>'
));
?>