<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h1>Gestion de la collection</h1>

<p>Dans Demyo, les collections sont gérées grâce à un ensemble d'<em>entités</em>.
Certaines (comme les <em>séries</em>) doivent être créées manuellement, alors
que d'autres (comme les <em><?php echo $helpBrowser->directLink('manage-tags', 'tags')?></em>)
sont créées automatiquement quand elles sont nécessaires.</p>

<p>Ces entités sont étroitement liées (c'est ce qu'on appelle des
<em>relations</em>). Cela signifie qu'un album (par exempl) n'est pas une simple
suite de champs&nbsp;: il <em>appartient</em> à une série, est <em>conçu</em>
par des dessinateurs et scénaristes et est <em>publié</em> par un éditeur.
Et ceux-ci sont aussi des entités, qui peuvent à leur tour être liées à d'autres
entités. Cela permet de se déplacer dans la collection de porche en proche, en
passant par exemple d'un album à son dessinateur, puis à tous les albums
auxquels il a participé. Cela implique aussi que quand le nom d'une série
est modifié, tous les albums de la série seront implicitement mis à jour,
étant donné que seul le nom a changé, pas la relation entre l'album et la
série.</p>

<p>Les différentes entités sont détaillées dans ce chapitre.</p>

<h2 id="actions">Actions</h2>

<p>La plupart des entités dans Demyo supportent au moins les action suivantes&nbsp;:</p>
<ul>
	<li>Lister les entrées (index). Les pages d'index sont en général paginées
		pour montrer une quantité limitée d'information à la fois. Il est possible
		de passer d'une page à l'autre en utilisant les liens en bas de page ou
		en utilisant le menu déroulant. Il est aussi possible d'utiliser les
		touches flèchées gauche et droite du clavier pour passer à la page
		précédente ou suivant.</li>
	<li>Voir les détails. Ces pages présentent l'information conservée sur une
		entrée et incluent généralement aussi que cette entrée a avec d'autres.</li>
	<li>Ajouter ou éditer une entrée.</li>
	<li>Effacer une entrée.</li>
</ul>