<?php
/* Copyright 2007-2011 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Édition de text enrichi</h2>

<p>Lors de l'ajout ou de l'édition d'un élément dans Demyo, vous pouvez trouver
deux types de champs&nbsp;: à une ou plusieurs lignes.</p>

<p>Les champs permettant l'édition sur plusieurs lignes permettent généralement
un formattage avancé à l'aide d'un éditeur facile à utiliser. Son interface est
très similaire à celles d'autres éditeurs que vous avez sans doute l'habitude d'utiliser.</p>

<p>L'éditeur présente également d'autres options pratiques. Quand vous éditez une description,
vos pouvez être amené à faire un lien vers un site Web ou à un autre élément de votre collection
dans Demyo. Vous pourriez copier-coller l'adresse depuis votre navigateur, mais il existe une
option plus pratique (et ayant plus de chances de rester valable dans les prochaines versions
de Demyo). Au lieu d'utiliser une adresse complète, vous pouvez vous contenter de taper un
des raccourcis suivants:</p>

<ul>
	<li><tt>Album:42</tt> crée un lien vers l'album d'identifiant 42</li>
	<li><tt>Author:42</tt> crée un lien vers l'auteur d'identifiant 42</li>
	<li><tt>Binding:42</tt> crée un lien vers le type de reliure d'identifiant 42</li>
	<li><tt>Collection:42</tt> crée un lien vers la collection d'identifiant 42</li>
	<li><tt>Derivative:42</tt> crée un lien vers le dérivé d'identifiant 42</li>
	<li><tt>DerivativeType:42</tt> crée un lien vers le type de dérivé d'identifiant 42</li>
	<li><tt>Publisher:42</tt> crée un lien vers l'éditeur d'identifiant 42</li>
	<li><tt>Series:42</tt> crée un lien vers la série d'identifiant 42</li>
	<li><tt>Source:42</tt> crée un lien vers la source d'identifiant 42</li>
</ul>

<p>L'identifiant d'une entrée peut être trouvé depuis la barre d'adresse de votre
navigateur Web. Par exemple, si vous consultez la série d'identifiant 42,
l'adresse ressemblera à http://localhost/demyo/series/view/<strong>42</strong></p>