<?php
/* Copyright 2007-2010 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h1 id="update">Mise à jour</h1>

<p>Comme pour l'installation, il existe une procédure automatisée pour la mise
à jour. Cette procédure ne met à jour que Demyo&nbsp;: les prérequis installés
ne sont pas mis à jour (ce n'est habituellement pas nécessaire).</p>
<p>Bien que la procédure de mise à jour soit supposée conserver l'intégralité de
votre collection, il est fortement recommandé d'exporter une sauvegarde avant
de continuer. Pour plus de détails, voyez <?php echo $helpBrowser->directLink('export')?>.</p>

<h2 id="windows">Mise à jour sous Windows</h2>

<p>Fermez toutes les fenêtres de Demyo.</p>
<p>Exécutez l'installateur comme vous l'avez fait lors de la première installation.
Si Demyo a été correctement installé, l'installateur détecte automatiquement
le répertoire d'insallation et procède à une mise à jour au lieu d'une installation
complète.</p>
<p>Démarrez Demyo. Avant de vous rediriger sur la page d'accueil, un message
vous informe que la mise à jour est effectuée.</p>

<h2 id="linux">Mise à jour sous Linux</h2>

<p>Fermez toutes les fenêtres de Demyo.</p>
<p>Extrayez l'archive Demyo (.zip or .tar.gz) dans un répertoire temporaire de
votre choix. Entrez dans ce répertoire et lancez <tt>sh update-linux.sh</tt> en
tant que root ou <tt>sudo sh update-linux.sh</tt>.</p>
<p>Démarrez Demyo. Avant de vous rediriger sur la page d'accueil, un message
vous informe que la mise à jour est effectuée.</p>
