<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Votre premier dérivé</h2>

<p>Cette section décrit l'insertion d'un dérivé. L'exemple sera celui
d'une sérigraphie éditée par la
<a href="http://durango.site.voila.fr/">librairie Durango</a> pour
<a href="http://www.soleilprod.com/album|46|LE_CONTAINER-vol.2">le deuxième
tome d'Aquanautes</a>. Il sera supposé que l'album a déjà été ajouté avec
toutes les informations disponibles. En particulier, le dessinateur (Joël
Parnotte) a été spécifé.</p>

<h3>Type de dérivé</h3>

<p>Allez sur la page d'accueil et cliquez sur <em>Ajoutez un type de dérivé</em>.
Entrez le <em>Nom</em> (Sérigraphie) et <em>Ajoutez</em> l'entrée.</p>

<h3>Image</h3>

<p>Supposons que vous ayez une image de la sérigraphie (vous en avez
pris une photo, vous l'avez scannée ou vous l'avez trouvée sur Internet).</p>

<p>Utilisez votre gestionnaire de fichiers et allez dans le répertoire
<tt><?php echo COLLECTION_IMAGES?></tt>. Créez un dossier nommé <tt>Objets 2D</tt>
et copiez y votre image. Renommez la en <tt>Aquanautes_2_Durango.jpg</tt>.
Créer un dossier et nommer le fichier de façon rigoureuse n'est pas une
nécessité, mais cela facilite grandement la gestion de votre collection quand
le nombre d'image dépasse la centaine.</p>

<p>De retour sous Demyo, cliquez sur <em>Ajouter une image</em> depuis la
page d'accueil. Cliquez sur l'icône à droite du champ <em>Chemin</em> et
trouvez votre image en navigant dans la fenêtre qui vient de s'ouvrir (un
simple clic de la souris sélectionne dossiers et fichiers). Dans le
champ description, indiquez <em>Aquanautes 2 - Sérigraphie Durango</em>.
Ajoutez l'image.</p>

<h3>Dérivé</h3>

<p>Depuis la page d'accueil, entrez <em>contai</em> dans le champ de recherche
rapide, en haut à gauche. Avec un peu de chance, seul <em>Le Container</em>
apparaîtra dans les résultats. Quel que soit le nombre de résultats,
sélectionnez le bon avec les touches flèchées et appuyez sur la touche
<em>Enter</em>. Vous vous trouvez maintenant sur la page de présentation
de l'album.</p>

<p>Depuis cette page, déplacez la souris vers <em>Tâches</em> et cliquez sur
<em>Ajouter un dérivé à cet album</em>. Remplissez alors les différents
champs. Certains, non cités ici, ont été pré-remplis avec des informations
provenant de l'album&nbsp;; il est cependant tout à fait possible de les
modifier.</p>
<ul>
	<li><em>Type&nbsp;:</em> Sélectionnez Sérigraphie (le seul choix, vous venez de l'ajouter)</li>
	<li><em>Source&nbsp;:</em> Écrivez Durango</li>
	<li><em>Numéro&nbsp;:</em> 42</li>
	<li><em>Total&nbsp;:</em> 250</li>
	<li><em>Passages&nbsp;:</em> 4 (un noir, deux bleus, un orange)</li>
	<li><em>Signé&nbsp;:</em> cochez la case</li>
	<li><em>Largeur&nbsp;:</em> 197</li>
	<li><em>Hauteur&nbsp;:</em> 206</li>
	<li><em>Images&nbsp;:</em> Sélectionnez Aquanautes 2 - Sérigraphie Durango (vous venez de l'ajouter)</li>
</ul>

<p>Cliquez sur <em>Ajouter</em> et ça y est, vous avez maintenant votre premier
dérivé. Notez que, de manière transparente, vous avez aussi créé votre première
source de dérivé (Durango). Celle-ci peut être éditée depuis la liste des
sources, et elle fera partie des suggestions quand vous taperez quelques
caractères (Dura) dans le champ <em>Source</em> lors d'un prochain ajout de
dérivé.</p>