<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
require_once('author.php');

class Artist extends Author {
	public $name = 'Artist';
	public $useTable = 'authors';
	
	public $hasMany = array('Derivative' => array('foreignKey' => 'artist_id'));
	public $hasAndBelongsToMany = array(
		'Album' =>
			array('className' => 'Album',
				'joinTable' => 'albums_artists',
				'foreignKey' => 'artist_id',
				'associationForeignKey' => 'album_id',
				'uniq' => true,
			)
	);
}

?>
