<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __('Authors', true));

$quicksearch->setSearchCategories(array('Author'));

$menu->preparePopupMenu(array(
	array('add' => 'Author')
));

$myPaginator->options(array('url' => $this->params['pass']));
?>

<?php
$lastStart = '';
eval($myPaginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));
$num = 0;
?>

<?php
$letters = $myPaginator->letters(array('url' => array('order' => array('name' => 'asc'))));
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?php echo $letters ?>
</div>
	<?php
}
?>

<div class="text_list_column">
<?php
foreach($authors as $author) {
	$author = $author['Author'];
	
	$first = mb_strtoupper(mb_substr($author['name'], 0, 1, 'utf-8'));
	
	if ($num != 0 && $num%$perColumn == 0 && $num<$max-1) {
		echo "\t</ul>\n</div>\n<div class=\"text_list_column\">\n";
		if ($lastStart == $first) // Only if we continue previous columb
			echo "\t<ul>\n";
	}
	
	if ($lastStart != $first) {
		if ($num%$perColumn != 0) // On first element in column
			echo "\t</ul>\n";

		$lastStart = $first;
		echo "\t<h2>$lastStart</h2>\n\t<ul>\n";
	}
	
	echo "\t\t<li>".$html->link($author['meta_name'],
		'/authors/view/'.$author['id'])."</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>
