<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

$this->set('title_for_layout',$borrower['meta_name'].' - '.__('Borrowers', true));

$menu->preparePopupMenu(array(array('edit' => 'Borrower', 'id' => $borrower['id'])));
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?php echo $borrower['meta_name']?></td></tr>
	
	<?php if (!empty($borrower['email'])): ?>
	<tr><th><?php __('Mail') ?></th><td><a href="mailto:<?php echo $borrower['email']?>"><?php echo $borrower['email']?></a></td></tr>
	<?php endif; ?>
</table>

<p>
<?php
if($hasAlbums)
	echo $html->link(__s('See albums currently lended to %s', $borrower['meta_name']), '/borrowers/index/onlyCurrent:true/borrower:'.$borrower['id']), '<br />';

echo $html->link(__s('See history of loans for %s', $borrower['meta_name']), '/borrowers/index/borrower:'.$borrower['id']);
?>
</p>
