<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout',__('Images', true));

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->preparePopupMenu(array(
	array('add' => 'Image'),
	array('url' => '/images/cleanThumbnails', 'title' => __('Refresh thumbnails', true))
));

$myPaginator->options(array('url' => $this->params['pass']));

$viewText = __('View image details', true);
$editText = __('Edit this image', true);
$viewImg = $html->image('view-small.png', array('alt' => $viewText));
$editImg = $html->image('edit-small.png', array('alt' => $editText));
foreach ($images as &$image) {
	$image['legend'] =
		'<a href="'.$html->url('/images/view/'.$image['id'])."\" title=\"$viewText\">$viewImg</a>&nbsp;&nbsp;&nbsp;"
		.'<a href="'.$html->url('/images/edit/'.$image['id'])."\" title=\"$editText\">$editImg</a>";
}

?>

<?php
if ($doPaginate) {
	$letters = $myPaginator->letters();
	if ($letters) {
		?>
	<div class="pages_nav_letters">
		<?php echo $letters ?>
	</div>
		<?php
	}
}
?>

<table class="gallery">
<?php echo $colorbox->gallery($images, 'gallery'); ?>
</table>

<?php if ($doPaginate) { ?>
<div class="pages_nav_numbers">
	<?php echo $myPaginator->prev()?> <?php echo $myPaginator->numbers()?> <?php echo $myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?php echo $myPaginator->directJump()?>
</div>
<?php } ?>
