<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout',__('View an image', true));

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->preparePopupMenu(array(
	array('edit' => 'Image', 'id' => $image['id']),
	array('delete' => 'Image', 'id' => $image['id']),
	array('add' => 'Image')
));

?>
<table class="details">
	<?php if (!empty($image['description'])) { ?>
	<tr><th><?php __('Description') ?></th><td><?php echo $image['description']?></td></tr>
	<?php } ?>
	
	<tr><th><?php __('URL') ?></th><td><?php echo str_replace(COLLECTION_IMAGES_DIRNAME.DS, '', $image['url'])?></td></tr>
	
	<tr><th><?php __('Image') ?></th><td>
	<?php echo $colorbox->thumb($image['url'], $image['thumb_url'],
				array('alt' => __('Image', true), 'isLocal' => $image['is_local']));?></td></tr>
	
	<?php if (! empty($albums)) { ?>
	<tr><th><?php __('Used in the following albums') ?></th>
	<td><?php echo $list->HTMLList($albums, array('title'), '/albums/view/%d')?></td></tr>
	<?php } ?>
	
	<?php if (! empty($derivatives)) { ?>
	<tr><th><?php __('Used in the following derivatives') ?></th>
	<td><?php echo $list->HTMLList($derivatives, array('meta_name'), '/derivatives/view/%d')?></td></tr>
	<?php } ?>
</table>
