<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->set('title_for_layout', __s('Editing "%s"', $this->data['Source']['name']).' - '.__('Sources', true));

$quicksearch->setSearchCategories(array('Source'));

$menu->preparePopupMenu(array(array('add' => 'Derivative')));

?>
<?php echo $form->create('Source', array('class' => 'addedit')) ?>
<fieldset>
<legend><?php __('Edit a source') ?></legend>
<?php
echo $form->hidden('Source.id');
?>
<input type="hidden" name="smartFlash" value="<?php echo $smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Source.name', __('Name', true)).'</th><td>'.$form->input('Source.name', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.owner', __('Owner', true)).'</th><td>'.$form->text('Source.owner')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.website', __('Website', true)).'</th><td>'.$form->input('Source.website', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.email', __('Mail', true)).'</th><td>'.$form->input('Source.email', array('label' => false, 'div' => false))."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.phone_number', __('Phone number', true)).'</th><td>'.$form->text('Source.phone_number')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.address', __('Address', true)).'</th><td>'.$rte->textarea('Source.address')."</td></tr>\n";
echo '<tr><th>'.$form->label('Source.history', __('History', true)).'</th><td>'.$rte->textarea('Source.history')."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php __('Update') ?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>
<?php echo $jQuery->clearValidationErrorsOnChange() ?>