<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<div class="dashboard-panel" id="dashboard-widget-manage">
	<h1><?php __('Manage the library')?></h1>
	<?php echo $html->image('manage.png', array('class' => 'dashboard-icon', 'alt' => __('Manage the library', true)))?>
	<ul>
		<li><?php echo $html->link(__('Search the library', true), '/search/albums')?></li>
		<li><?php echo $html->link(__('Export the library', true), '/library/export')?></li>
		<li><?php echo $html->link(__('Import the library', true), '/library/import')?></li>
		<li><?php echo $html->link(__('View library statistics', true), '/library/stats')?></li>
		<li><?php echo $html->link(__('View orphans', true), '/library/orphans')?></li>
		<li><?php echo $html->link(__('Configure Demyo\'s behavior', true), '/configurator/edit')?></li>
		<li><?php echo $html->link(__('Help', true), '/help')?></li>
		<li><?php echo $html->link(__('About', true), '/pages/about')?></li>
	</ul>
</div>